#!/usr/bin/perl
open(MAP,"$ARGV[0]") or die "can't find";
$idx=0;
while (<MAP>) {
  ($u,$m)=split(/\s+/);
  if (!$m) {
     $map{$idx++}=$u;
  } else {
     $map{$m}=$u;
  }
}
close(MAP);

$name=1;
while(<STDIN>) {
  if (/^StartChar:/) {
    $name=0;
  } elsif (/^Encoding: (\d+) /) {
    if ($map{$1}) {
       $b=1;
       $enc=hex $map{$1};
       printf "StartChar: uni%04X\n",hex $map{$1};
       print "Encoding: $enc $enc\n";
    } else {
    print STDERR "*** warn $_";
    }
  } elsif ($b && /^EndChar$/) {
    print;
    $b=0;
  } elsif ($b or $name) {
    print;
  }
}
#print "EndChars\nEndSplineFont\n";
