#!/usr/bin/perl
open(MAP,"Symbols.map") or die "can't find";
while (<MAP>) {
  ($u,$m)=split(/\s+/);
  $map{$m}=$u;
}
close(MAP);

$name=1;
while(<>) {
  if (/^StartChar/) {
    $name=0;
  } elsif (/^Encoding: (\d+) /) {
    if ($map{$1}) {
       $b=1;
       $enc=hex $map{$1};
       printf "StartChar: uni%04X\n",hex $map{$1};
       print "Encoding: $enc $enc\n";
    }
  } elsif ($b && /^EndChar$/) {
    print;
    $b=0;
  } elsif ($b or $name) {
    print;
  } elsif (!$b) {
    print STDERR "*** warn $1\n";
  }
}
#print "EndChars\nEndSplineFont\n";
