#!/usr/bin/perl
# merge all jamo sfd fonts

$DESC="This is the HLaTeX fonts made by Koaunghi Un. It originally used on the HLaTeX only. It contains all Hangul Syllables defined in the Unicode. It is converted to TrueType fonts with the FontForge by wkpark\@kldp.org in 2003";

$GPLSITE="http://korea.gnu.org/copyleft/gpl.ko.html";

$FONTNAME=$ARGV[0];

$FULLNAME=$FONTNAME;
$FULLNAME=~ s/([a-z]{1})([A-Z]{1})/$1 $2/g;

$FAMILY=$FONTNAME;
$FAMILY=~ s/Bold//;

$WEIGHT="Regular";
$TTFWEIGHT=400;

$_=$FONTNAME;
if (/Bold$/) {
  $WEIGHT= "Bold";
  $TTFWEIGHT=700;
}

print <<EOF;
SplineFontDB: 1.0
FontName: $FONTNAME
FullName: $FULLNAME
FamilyName: $FAMILY
Weight: $WEIGHT
Copyright: Copyright  1998-2008 by Koaunghi Un
Version: 1.00
TTFWeight: $TTFWEIGHT
TTFWidth: 5
Panose: 2 11 6 0 0 1 1 1 1 1
PfmFamily: 33
FSType: 12
LangName: 1033 "Copyright  1998-2008 by Koaunghi Un" "" "" "" "$FULLNAME" "Version 1.00" "$FONTNAME" "GNU is Not Unix" "Korean Tex Users Group" "Koaunghi Un" "$DESC" "http://www.ktug.or.kr" "http://www.ktug.or.kr" "GNU Public License" "$GPLSITE" "" "" "" "" "GNU is Not Unix"
LangName: 1042 "Copyright  2003 by Koaunghi Un" "" "" "" "$FULLNAME" "Version 1.00" "$FONTNAME" "GNU is Not Unix" "Korean Tex Users Group" "Koaunghi Un" "$DESC" "http://www.ktug.or.kr" "http://www.ktug.or.kr" "GNU Public License" "$GPLSITE" "" "" "" "" "GNU is Not Unix"
WinInfo: 64 16 4
ItalicAngle: 0
UnderlinePosition: -200
UnderlineWidth: 50
Ascent: 800
Descent: 200
Encoding: unicode
DisplaySize: -24
AntiAlias: 1
BeginChars: 65537 65537
StartChar: .notdef
Encoding: 0 -1
Width: 1000
Flags: W
Fore 
166 666 m 25
 166 -75 l 25
 860 -75 l 25
 860 666 l 25
 166 666 l 25
96 732 m 1
 930 732 l 1
 930 -138 l 1
 96 -138 l 1
 96 732 l 1
EndSplineSet
EndChar
StartChar: uni0000
Encoding: 1 0
Width: 0
Flags: W
EndChar
StartChar: uni000D
Encoding: 13 13
Width: 0
Flags: W
EndChar
EOF

